#include "quadrique.h"

#define SPH_POINTS   1
#define SPH_MAILLES  2
#define SPH_MAILLEHV 3
#define SPH_PLEIN    4

class spheroide:public quadrique
{

	// Equation de la sphroide:
	// x = x0 + rx sin a cos b
	// y = y0 + ry sin a sin b
	// z = z0 + rz cos a
	// avec 0<=a<=pi et -pi < b <= pi

   	public :
   	spheroide(float alpha = 1.0f, float rouge = 1.f, float vert = 1.f, float bleu = 1.f, float rayonX = 5.0f, float rayonY = 10.0f, float rayonZ = 5.0f, float pas = 0.024f /*0.0925f*/, int pasCarX = 10, int pasCarY = 10) ; // Constructeur
	void genere (int mode = SPH_MAILLEHV);

	protected:
		void Point (void);
		void Maille0 (void);
		void Maille1 (void);
		void plein (void);
};
